[package]
name = "oden"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html
[features]
default = []
tracing = ["tracy-client/enable"]

[dependencies]
anyhow = "1.0"
bytemuck = { version = "1.13", features = ["derive"] }
deno_ast = { version = "0.29.3", features = ["transpiling", "typescript"] }
env_logger = "0.10"
fine = { path = "fine" }
fontdue = "0.7.3"
image = { version = "0.24", default-features = false, features = ["png"] }
log = "0.4"
lru = "0.11.0"
notify = "6"
oden-js = { path = "oden-js" }
pollster = "0.3"
sourcemap = "7.0.0"
tracy-client = { version = "0.15.2", default-features = false }
wgpu = "0.17"
winit = "0.28"
